Bug 845176 - click apply with invalid custom rules. no error but firewall not set.
click apply with invalid custom rules. no error but firewall not set.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-firewall (Show other bugs)
17
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 02:15 EDT by Ales Ledvinka
Modified: 2016-09-20 00:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:53:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Ledvinka 2012-08-02 02:15:06 EDT
Description of problem:
having invalid but iptables-save compliant custom rules file causes the firewall to become unset with no error notification.

the -tui version shows
Job failed. See system journal and 'systemctl status' for details.
Redirecting to /bin/systemctl start  ip6tables.service
Failed to start iptables.

but the gui does not show anything.

Version-Release number of selected component (if applicable):
1.2.29-7.fc17

How reproducible:


Steps to Reproduce:
1. iptables-save > /etc/sysconfig/iptables.al-filter
2. lokkit --custom-rules=ipv4:filter:/etc/sysconfig/iptables.al-filter
3. system-config-firewall
4. # in the gui check and then uncheck any previously unchecked service to enable apply button
5. # hit apply
6. # close
7. iptables -vnL
  
Actual results:
In gui completely silent.
Chain INPUT (policy ACCEPT 589 packets, 48788 bytes)
 pkts bytes target     prot opt in     out     source               destination         

Chain FORWARD (policy ACCEPT 0 packets, 0 bytes)
 pkts bytes target     prot opt in     out     source               destination         

Chain OUTPUT (policy ACCEPT 413 packets, 85092 bytes)
 pkts bytes target     prot opt in     out     source               destination         

In tui error message which can be easily overlooked.
[root@puppetmaster aledvink]# system-config-firewall-tui 

Configuration failed
/usr/sbin/lokkit -f -v --enabled --service=ssh --port=8140:tcp --custom-rules=ipv4:filter:/etc/sysconfig/iptables.al-filter
Redirecting to /bin/systemctl stop  iptables.service
Redirecting to /bin/systemctl stop  ip6tables.service
Redirecting to /bin/systemctl start  iptables.service
Job failed. See system journal and 'systemctl status' for details.
Redirecting to /bin/systemctl start  ip6tables.service
Failed to start iptables.


Hit enter to continue.



Expected results:
error message visible also in gui version? either error dialog or at least review of the command stdout+stderr as in tui.

Additional info:
Comment 1 Fedora End Of Life 2013-07-04 00:10:18 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 08:53:47 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.